<?php
session_start();

// Check if the request is a POST request
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Check if orderId and status are set in the POST data
    if (isset($_POST["orderId"]) && isset($_POST["status"])) {
        // Retrieve orderId and status from the POST data
        $orderId = $_POST["orderId"];
        $status = $_POST["status"];

        // Database connection details
        $dbHost = 'localhost';
        $dbName = 'cocoeatz_app';
        $dbUser = 'cocoeatz_test';
        $dbPassword = 'Msnt@786';

        try {
            // Connect to the database
            $db = new PDO("mysql:host=$dbHost;dbname=$dbName", $dbUser, $dbPassword);
            $db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

            // Prepare and execute SQL query to update order status
            $query = $db->prepare("UPDATE orders SET order_status = :status WHERE id = :orderId");
            $query->bindParam(':status', $status);
            $query->bindParam(':orderId', $orderId);
            $query->execute();

            // Return success response
            echo json_encode(array("success" => true));
        } catch (PDOException $e) {
            // Return error response if database connection or query execution fails
            echo json_encode(array("success" => false, "error" => "Database error: " . $e->getMessage()));
        }
    } else {
        // Return error response if orderId or status is not set in the POST data
        echo json_encode(array("success" => false, "error" => "Missing orderId or status in POST data"));
    }
} else {
    // Return error response if the request method is not POST
    echo json_encode(array("success" => false, "error" => "Invalid request method"));
}
?>
